#pragma once

#include "geometry/GeoArea.h"

#include <QGeoCoordinate>

class SnakeTile : public GeoArea {
  Q_OBJECT
public:
  SnakeTile(QObject *parent = nullptr);
  SnakeTile(const SnakeTile &other, QObject *parent = nullptr);
  ~SnakeTile();

  virtual QString mapVisualQML() const override;
  virtual QString editorQML() const override;
  virtual SnakeTile *clone(QObject *parent) const;

  void push_back(const QGeoCoordinate &c);

private:
  void init();
};
